# Created by pyp2rpm-3.3.1
%global pypi_name ipdns

Name:           python-%{pypi_name}
Version:        0.1.4
Release:        %mkrel 10
Summary:        Stateless dns server serving ip addresses based on parsing the domain
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/0-complexity/ipdns
Source0:        %{pypi_name}-%{version}.zip
BuildArch:      noarch
 
BuildRequires:  python3-devel

%description
ipdns takes the domain and calculates an IPAddress out of it.

The domain names should be formatted as follows:

  mylittleserver-2130706433.mydomain.ext

ipdns will serve 127.0.0.1 as a result, because ipdns parsed the number
2130706433, which represents the ip, in the domain from its decimal
representation in the more familiar IPv4 string format.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
ipdns takes the domain and calculates an IPAddress out of it.

The domain names should be formatted as follows:

  mylittleserver-2130706433.mydomain.ext

ipdns will serve 127.0.0.1 as a result, because ipdns parsed the number
2130706433, which represents the ip, in the domain from its decimal
representation in the more familiar IPv4 string format.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name} twisted

%files -n python3-%{pypi_name} -f %{pyproject_files}



%changelog
* Tue Dec 19 2023 papoteur <papoteur> 0.1.4-10.mga10
+ Revision: 2019166
- Mass Rebuild - Python 3.12
- rebuild for python3.12
- adapt to pyproject

* Wed Mar 23 2022 umeabot <umeabot> 0.1.4-8.mga9
+ Revision: 1823346
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 0.1.4-7.mga9
+ Revision: 1782917
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Fri Mar 26 2021 ovitters <ovitters> 0.1.4-6.mga9
+ Revision: 1710648
- rebuild for Python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.1.4-5.mga8
+ Revision: 1533074
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 0.1.4-4.mga8
+ Revision: 1443301
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 kekepower <kekepower> 0.1.4-3.mga7
+ Revision: 1350265
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.1.4-2.mga7
+ Revision: 1289036
- Mageia 7 Mass Rebuild

* Mon Mar 26 2018 kekepower <kekepower> 0.1.4-1.mga7
+ Revision: 1212598
- imported package python-ipdns

